org.bouncycastle.asn1.x509

## Class PrivateKeyPossessionStatement

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.PrivateKeyPossessionStatement

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class PrivateKeyPossessionStatement
      extends ASN1Object

       PrivateKeyPossessionStatement ::= SEQUENCE {
             signer  IssuerAndSerialNumber,
             cert    Certificate OPTIONAL }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrivateKeyPossessionStatement(Certificate cert)`
    `PrivateKeyPossessionStatement(IssuerAndSerialNumber signer)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Certificate` | `getCert()`
    `static PrivateKeyPossessionStatement` | `getInstance(java.lang.Object obj)`
    `IssuerAndSerialNumber` | `getSigner()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrivateKeyPossessionStatement

          public PrivateKeyPossessionStatement(IssuerAndSerialNumber signer)

    - #### PrivateKeyPossessionStatement

          public PrivateKeyPossessionStatement(Certificate cert)

  - ### Method Detail

    - #### getInstance

          public static PrivateKeyPossessionStatement getInstance(java.lang.Object obj)

    - #### getSigner

          public IssuerAndSerialNumber getSigner()

    - #### getCert

          public Certificate getCert()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.